
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Anonymous Pro', monospace;
    background: #000;
    color: #0f0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.text {
    max-height: 300px;       
    overflow-y: auto;        
    padding: 10px;           
    color: #0f0;
    font-family: 'Anonymous Pro', monospace;
    text-align: center;        
    background-color: #000; 
    border-radius: 5px;      
}

section {
    position: absolute;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2px;
    flex-wrap: wrap;
    overflow: hidden;
}

section::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: linear-gradient(#000,#0f0,#000);
    animation: animate 5s linear infinite;
}

@keyframes animate {
    0% {
        transform: translateY(-100%);
    }
    100% {
        transform: translateY(100%);
    }
}

section span {
    position: relative;
    display: block;
    width: calc(6.25vw - 2px);
    height: calc(6.25vw - 2px);
    background: #181818;
    z-index: 2;
    transition: 1.5s;
}

section span:hover {
    background: #0f0;
    transition: 0s;
}

section .signin {
    position: absolute;
    width: 800px;
    background: #000;
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px;
    border-radius: 4px;
    box-shadow: 0 15px 35px rgba(0,0,0,0.9);
    flex-direction: column;
    text-align: center;
}

/* Estilos específicos para PC (Desktop) */
@media only screen and (min-width: 1025px) {
    .signin {
        width: 800px;
    }
}

/* Estilos intermediários para tablets */
@media only screen and (min-width: 601px) and (max-width: 1024px) {
    section .signin { width: 100% }
}

/* Estilos responsivos para dispositivos móveis */
@media only screen and (max-width: 600px) {
    body {
        font-size: 14px;
    }
    .container {
        width: 100%;
        margin: 0 auto;
    }
    .menu {
        display: none;
    }
    section span {
        width: calc(20vw - 2px);
        height: calc(20vw - 2px);
    }
}

button {
    background-color: black;
    color: lightgreen;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
}    

h1, h2, h3 {
    color: #0f0;
    font-family: 'Anonymous Pro', monospace;
}

p {
    margin: 0;
    text-align: center;
    color: #0f0;
}

.botao-verde {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    color: #0f0;
    background-color: #000;
    border: 2px solid #0f0;
    border-radius: 8px;
    text-decoration: none;
    display: inline-block;
    box-shadow: 0 0 8px #0f0, 0 0 16px #0f0; /* neon glow */
    transition: transform 0.2s ease, box-shadow 0.2s ease;
  }
  
  .botao-verde:hover {
    transform: scale(1.05);
    box-shadow: 0 0 12px #0f0, 0 0 24px #0f0;
  }
  
  .centro {
    text-align: center;
    justify-content: center; /* Centraliza na horizontal */
    align-items: center;     /* Centraliza na vertical */
  }
  

.card {
    width: 100%;
    max-width: 100%;
    margin: 20px auto;
    background-color: #111;
    border: 2px solid #0f0;
    border-radius: 8px;
    text-align: center;
    box-shadow: 0px 4px 8px rgb(0, 255, 0);
    padding: 10px;
}

.card img {
    width: 100%;
    border-bottom: 2px solid #0f0;
    border-radius: 8px 8px 0 0;
    cursor: pointer;
}

.card p {
    margin: 10px 0;
    font-size: 0.9em;
    color: #0f0;
}

.card a {
    text-decoration: none;
    color: #0f0;
}

.card a:hover {
    text-decoration: underline;
    color: #00ff00;
}